Bug 978831 - [Docs][Developer] Backup and Restore API for Independent Software Vendors
[Docs][Developer] Backup and Restore API for Independent Software Vendors
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.3.0
Unspecified Unspecified
high Severity unspecified
: ---
: 3.3.0
Assigned To: Zac Dover
ecs-bugs
storage
: FutureFeature
Depends On: 975685
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 03:56 EDT by Tim Hildred
Modified: 2016-02-10 15:23 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 975685
Environment:
Last Closed: 2014-04-06 23:05:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
scohen: needinfo+


Attachments (Terms of Use)

  None (edit)
Description Tim Hildred 2013-06-27 03:56:40 EDT
+++ This bug was initially created as a clone of Bug #975685 +++

This bug affects, at least,
- Administration Guide
- Developer Guide
- And possibly an additional guide.

+++ This bug was initially created as a clone of Bug #922475 +++

This feature allows RHEV users to backup and restore VMs using Independent Software Vendors. New set of APIs will be introduced in RHEV to facilitate taking full VM backup, as well as full or file level restore of VMs. 
olicies set up by the backup machine administrator.
File level restore

oVirt feature page: http://www.ovirt.org/Features/Backup-Restore_API_Integration

--- Additional comment from Sean Cohen on 2013-04-14 05:25:36 EDT ---

See Bug 951904 - (qemu-ga) Tracker: Guest Quiesce for application-level consistency for VSS & qemu-ga freeze/thaw hooks for Linux guests.
Comment 1 Tim Hildred 2013-10-27 20:03:41 EDT
Reassigning to Jodi Biddle (jbiddle@redhat.com) as I am no longer working on Red Hat Enterprise Virtualization documentation.
Comment 3 Zac Dover 2013-11-20 02:22:15 EST
Sean,

The links in Comment 2 lead to the part of the Devel guide that covers Backup and Restore API.

If you want to beef this up, let me know.

Thanks.

Zac
Comment 4 Sean Cohen 2013-11-21 02:28:39 EST
Yes, please do. We also need to include a section for the RHEV Windows Guest VSS support (Volume Shadow Copy Service Quiescing) see bug 1024785
Sean
Comment 5 Zac Dover 2013-11-21 07:43:20 EST
I have added QEMU Guest Agent Overview [25555] to the content map.

I have also added
"5.10. Red Hat Enterprise Virtualization Windows Guest VSS Support", though at present it is merely a stub. 

Sean,

I'd like some information about what happens when a live snapshot quiesces. I'd like to write a nice definition of quiescing that we can include in the Tech Ref. Would you go into detail about what happens when a live snapshot quiesces?

Thanks.

Zac
Comment 6 Zac Dover 2013-11-21 07:50:03 EST
http://wiki.libvirt.org/page/Qemu_guest_agent#Setting_QEMU_GA_up

The above contains a little more beef for the guide.
Comment 7 Zac Dover 2013-11-21 07:50:46 EST
Sean,

See Comment 5.

Thanks.
Comment 9 Zac Dover 2013-11-21 21:17:54 EST
Sean,

When I visit

https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Linux/6-Beta/html/Virtualization_Administration_Guide/sub-sect-qemu-ga-freeze-thaw.html

I am told "Page Not Found".  I have signed into RHN with the administrative account that we use in ECS, which I thought would have sufficiently high permissions to allow me to view this content.

Can you tell me which permissions I need in order to see this document?

Thanks in advance.

Note You need to log in before you can comment on or make changes to this bug.